This service will be undergoing maintenance at 03:30 UTC, 2016-05-27. It is expected to last about 2 hours
Bug 197814 - Review Request: autogen
Review Request: autogen
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dominik 'Rathann' Mierzejewski
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-07-06 12:33 EDT by Paul F. Johnson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-10 16:20:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paul F. Johnson 2006-07-06 12:33:52 EDT
Spec URL: http://www.knox.net.nz/~nodoid/autogen.spec
SRPM URL: http://www.knox.net.nz/~nodoid/autogen-5.8.4-1.src.rpm
Description: 

AutoGen is a tool designed to simplify the creation and maintenance of programs that contain large amounts of repetitious text. It is especially valuable in programs that have several blocks of text that must be kept synchronized.
Comment 1 Jochen Schmitt 2006-07-06 13:36:51 EDT
Good:
+ Local Source math with upstream

Bad:
- rpmlint complaints on the source rpm:
W: autogen strange-permission autogen-5.8.4.tar.bz2 0666
- Source could not be downloaded automaticly:
Source 0 is not available
(http://osdn.dl.sourceforge.net/autogen/autogen-5.8.4.tar.bz2)
I have open a tracker on sf.net, becouse I have a simular problem on a other
project.
- rpmlint on binary rpm complaints:
W: autogen devel-file-in-non-devel-package /usr/lib/libguileopts.so
W: autogen devel-file-in-non-devel-package /usr/bin/autoopts-config
W: autogen devel-file-in-non-devel-package /usr/include/autoopts/usage-txt.h
E: autogen library-without-ldconfig-postin /usr/lib/libopts.so.25.2.1
E: autogen info-files-without-install-info-postin /usr/share/info/autogen.info-2.gz
E: autogen postin-without-install-info /usr/share/info/autogen.info-2.gz
W: autogen devel-file-in-non-devel-package /usr/lib/libopts.so
W: autogen devel-file-in-non-devel-package /usr/include/autoopts/options.h
W: autogen devel-file-in-non-devel-package /usr/lib/pkgconfig/autoopts.pc
E: autogen script-without-shellbang /usr/lib/pkgconfig/autoopts.pc
E: autogen info-files-without-install-info-postin /usr/share/info/autogen.info.gz
E: autogen postin-without-install-info /usr/share/info/autogen.info.gz
E: autogen library-without-ldconfig-postin /usr/lib/libguileopts.so.0.0.1
E: autogen info-files-without-install-info-postin /usr/share/info/autogen.info-1.gz
E: autogen postin-without-install-info /usr/share/info/autogen.info-1.gz
- Mock build on FC-5 failed:
extracting debug info from /var/tmp/autogen-5.8.4-1-root-mockbuild/usr/lib/libgu
ileopts.so.0.0.1
2392 blocks
+ /usr/lib/rpm/redhat/brp-compress
+ /usr/lib/rpm/redhat/brp-strip-static-archive /usr/bin/strip
+ /usr/lib/rpm/redhat/brp-strip-comment-note /usr/bin/strip /usr/bin/objdump
+ /usr/lib/rpm/brp-python-bytecompile
Processing files: autogen-5.8.4-1
error: File not found: /var/tmp/autogen-5.8.4-1-root-mockbuild/usr/bin/xml2ag
error: File not found by glob: /var/tmp/autogen-5.8.4-1-root-mockbuild/usr/share
/man/man1/xml2ag*
Processing files: autogen-debuginfo-5.8.4-1
Provides: libguileopts.so.0.0.1.debug libopts.so.25.2.1.debug
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(PayloadFilesHave
Prefix) <= 4.0-1


RPM build errors:
    File not found: /var/tmp/autogen-5.8.4-1-root-mockbuild/usr/bin/xml2ag
    File not found by glob: /var/tmp/autogen-5.8.4-1-root-mockbuild/usr/share/ma

W: autogen one-line-command-in-%preun /sbin/ldconfig
W: autogen one-line-command-in-%postun /sbin/ldconfig
Comment 2 Paul F. Johnson 2006-07-06 17:35:45 EDT
I can't understand why you should be getting build errors. If I remove
%{_bindir}/xml2ag and %{_mandir}/man1/xml2ag* from the spec file, the rpm
builds, but then when it checks, complains they are there, but not packaged.
Comment 3 Paul F. Johnson 2006-07-06 18:27:21 EDT
Hmmm, I'm getting these mock errors as well. That said, I've sorted most of the
rpmlint warnings, though some of them are wrong (the two about no !# in a
COPYING and some other one spring to mind).

As soon as I've sorted out the problem with mock, I'll upload 5.8.4-2
Comment 4 Paul F. Johnson 2006-07-06 20:30:50 EDT
Spec URL: http://www.knox.net.nz/~nodoid/autogen.spec
SRPM URL: http://www.knox.net.nz/~nodoid/autogen-5.8.4-2.src.rpm

mock builds fine
a couple of warnings from rpmlint (3 in total)
lots of changes to the spec file
Comment 5 Michael Schwendt 2006-07-07 15:31:27 EDT
Not trivial to review due to lots of issues:

* AutoOpts licence is LGPL, not GPL!

* Run rpmlint on the binary rpms! It gives further hints.

* -devel DSO files (*.so) in non-devel package!

* -devel package is missing %defattr definition

* missing scriptlet dependencies for /sbin/ldconfig

* "INSTALL" %doc file is irrelevant to users

* /usr/include/autoopts/ is orphaned

* /usr/share/autogen is orphaned

* pkgconfig file is executable

* worrisome compiler warnings, not limited to:

putshell.c: In function 'optionPutShell':
putshell.c:203: warning: format '%1$ld' expects type 'long int', but argument 2 
has type 'uintptr_t'
putshell.c:203: warning: format '%1$lX' expects type 'long unsigned int', but ar
gument 2 has type 'uintptr_t'
guileopt.c:126: warning: format '%ld' expects type 'long int', but argument 4 ha
s type 'int'
defParse-fsm.c:395: warning: embedded '\0' in format

* /usr/share/autogen/libopts-27.1.2.tar.gz -- ???

* Error during installation and package removal
(Get better *.info scriptlets from the Wiki! Avoid the wildcards!):

install-info: excess command line argument `/usr/share/info/autogen.info.gz'

install-info: excess command line argument `/usr/share/info/autogen.info.gz'
install-info: warning: no entries found for `/usr/share/info/autogen.info-1.gz';
nothing deleted

* "Provides: libopts" should be versioned:  libopts = %{version}-%{release}

* rpmlint ~/tmp/reviews/autogen/autogen-5.8.4-2.src.rpm 
W: autogen strange-permission autogen-5.8.4.tar.bz2 0666
W: autogen rpm-buildroot-usage %prep rm -rf %{buildroot}

* The main package installs some executables into /usr/bin which have
_very_ generic names, which pollute the global namespace and which
bear a huge risk of causing collisions in the future:

-rwxr-xr-x  /usr/bin/autogen
-rwxr-xr-x  /usr/bin/columns   (!)
-rwxr-xr-x  /usr/bin/getdefs   (!)
-rwxr-xr-x  /usr/bin/xml2ag

This alone would be a blocker criterion. Upstream ought to choose more
unique names and e.g. use a proper autogen_ prefix.

* /usr/share/aclocal/liboptschk.m4 looks for a missing script.

* /usr/share/aclocal/autoopts.m4 looks for a script which is only
included in the -devel package! It is not working this way!

* autoopts-config man page is in main package, script is in -devel package!

* Section 3 API manuals are in main package instead of -devel package!
Comment 6 Paul F. Johnson 2006-07-07 16:56:49 EDT
* AutoOpts licence is LGPL, not GPL!

No, according to the autogen website, it's GPL

I've contacted the author over the bindir filenames and am awaiting a reply.

The package is currently rebuilding and I'll upload as soon as mock and rpmlint
are happy.

One thing that puzzles me is this

W: autogen strange-permission autogen-5.8.4.tar.bz2 0666

How do I change the permission of the tarball from within the spec or is this
something I can just do in my SOURCES directory by hand?
Comment 7 Paul F. Johnson 2006-07-07 18:26:52 EDT
Spec URL: http://www.knox.net.nz/~nodoid/autogen.spec
SRPM URL: http://www.knox.net.nz/~nodoid/autogen-5.8.4-3.src.rpm

Addresses all except the bindir names.

I've had this back from the author

"The problem with renaming "columns" is that the templates I provide
fairly pervasively use "columns" as the program name for performing that
formatting function, and I have a fair number of "clients" who use that
program in their templates, too.  Actually, the "columns" program is
intended to be a generic program.  ``ls -1 | columns --by-col'' will produce
pretty much what you would get with just ``ls''.  (Obviously, you would
not do that, but it means you do not have to insert columnizing code into
programs that produce list outputs.)  So, please argue a little bit.  Failing
that, it could get installed as $bindir/autogen.d/columns and autogen
could add that directory to PATH at startup time.  It's quite a bother and
I use columns in other contexts anyway.  I would very much not want to
do anything like that."

Looks like it's either create the autogen.d directory and have autogen add that
directory at startup time or keep them as they are.
Comment 8 Paul F. Johnson 2006-07-09 08:29:39 EDT
ping!
Comment 9 Ralf Corsepius 2006-07-09 12:38:02 EDT
IMO, there are 2 must fixes:

* columms + getdefs.

* libopts. Autogen comes with libopts integrated, and you are shipping it merged
into this package. However, devel has libopts packaged separately.

How do you plan to resolve this conflict? I only see two clean alternatives: 
a) Not to package the libopts in autogen, better not to use the libopts inside
of autogen, but to link against the external one. I haven't checked the sources
if and how this is easily possible (probably).

b) To abandon the separate libopts-package and to build a libopts packages as
separate package being build from autogen's sources.

A bit of hackerish approach would be to exclude all libopts related files from
the autogen package. I do not recommend to do so.

Comment 10 Paul F. Johnson 2006-07-09 18:13:29 EDT
columns and getdefs is the more difficult of the two. As upstream suggests, a
solution would be to include an autogen.d directory in %{_bindir}. I'll have to
look into the viability of not packing libopts - there isn't anything in the
configure script which allows it though

Comment 11 Paul Howarth 2006-07-10 09:02:07 EDT
(In reply to comment #6)
> One thing that puzzles me is this
> 
> W: autogen strange-permission autogen-5.8.4.tar.bz2 0666
> 
> How do I change the permission of the tarball from within the spec or is this
> something I can just do in my SOURCES directory by hand?

chmod 644 SOURCES/autogen-5.8.4.tar.bz2

then rebuild the SRPM.
Comment 12 Paul F. Johnson 2006-07-10 18:19:39 EDT
Next release of the tarball should (according to upstream) include the ability
to disable the version of libopts supplied in the tarball. I'll hang fire until
that comes out, though I think I've fixed the two blocker filenames (I'm adding
a directory called autogen.d to %{_bindir} if that is allowed and getting
autogen to  add that to the path when it's fired up)

upstream will NOT be renaming them
Comment 13 Paul F. Johnson 2006-07-16 05:51:21 EDT
5.8.5. sorts out the libopts problem, but not the rename.
Comment 14 Michael Schwendt 2006-07-17 07:43:19 EDT
> * AutoOpts licence is LGPL, not GPL!
> 
> No, according to the autogen website, it's GPL

Then please ask upstream to clarify this in the source tarball.
autogen-5.8.4/autoopts/COPYING is the LGPL, C files contain
the LGPL header (e.g. autoopts/tokenize.c), and so on.

> /usr/bin/autogen.d/

I'm not aware of any package that creates a subdir in /usr/bin.
I'd rather use /usr/libexec/autogen.d/ or ask the Packaging Committee
about this.
Comment 15 Paul F. Johnson 2006-08-16 18:20:39 EDT
Spec URL: http://www.knox.net.nz/~nodoid/autogen.spec
SRPM URL: http://www.knox.net.nz/~nodoid/autogen-5.8.5-1.src.rpm

Bump to new version
It has the /etc/alternatives in now and has renamed the binaries to autogen.*

When I run rpmlint over it though, there are errors which I can't quite suss
out, mainly as the alternatives binaries are set at 2755 rather than the more
usual 755 - I'm guessing this is down to them being alternatives. The code was
copied from sendmail, so if this is wrong, that is as well!

Looks okay in mock (i386) and works fine on x86_64
Comment 16 Ville Skyttä 2006-08-17 04:34:40 EDT
(In reply to comment #15)
> the alternatives binaries are set at 2755 rather than the more
> usual 755 - I'm guessing this is down to them being alternatives. The code was
> copied from sendmail, so if this is wrong, that is as well!

That has nothing to do with alternatives.  The sendmail executable is
intentionally setgid smmsp [0], but having setgid root ones in this package
sounds like a plain packaging bug which is also possibly a security issue.

[0] http://www.sendmail.org/security/secure-install.html
Comment 17 Paul Howarth 2006-08-17 10:07:07 EDT
(In reply to comment #16)
> (In reply to comment #15)
> > the alternatives binaries are set at 2755 rather than the more
> > usual 755 - I'm guessing this is down to them being alternatives. The code was
> > copied from sendmail, so if this is wrong, that is as well!
> 
> That has nothing to do with alternatives.  The sendmail executable is
> intentionally setgid smmsp [0], but having setgid root ones in this package
> sounds like a plain packaging bug which is also possibly a security issue.

Specifically, these lines:

%attr (2755, root, root)/%{_bindir}/autogen.columns
%attr (2755, root, root)/%{_bindir}/autogen.getdefs

Which should probably be:

%{_bindir}/autogen.columns
%{_bindir}/autogen.getdefs

Comment 18 Paul F. Johnson 2006-08-17 17:51:40 EDT
Spec URL: http://www.knox.net.nz/~nodoid/autogen.spec

Fixes the problems in #16/#17 and another issue it had. Now builds cleanly,
doesn't invade neighbouring countries and destroys 99% of all known cults dead.
Comment 19 Paul F. Johnson 2006-08-23 07:01:24 EDT
ping!
Comment 20 Till Maas 2006-08-26 17:43:18 EDT
Just a minor remark:

make LIBTOOL=%{_prefix}/bin/libtool
should be
make LIBTOOL=%{_bindir}/libtool
Comment 21 Paul F. Johnson 2006-08-26 18:07:49 EDT
Spec URL: http://www.knox.net.nz/~nodoid/autogen.spec

Fixes #20 and a couple of other minor points. I've not uploaded a new src.rpm as
nothing has changed in that.
Comment 22 Paul F. Johnson 2006-08-30 21:14:56 EDT
Could we move on this as autogen is one of those very handy to have
applications, so it's not just those using anjuta2 who will benefit from it's
inclusion.
Comment 23 Paul F. Johnson 2006-09-02 16:41:56 EDT
I'm moving this back to FE-NEW as the original reviewer has vanished without trace.
Comment 24 Dominik 'Rathann' Mierzejewski 2006-09-02 20:59:28 EDT
A few quick notes before I start a formal review:

1.
$ rpmbuild -bi autogen.spec
error: bad date in %changelog: Say Aug 26 2006 Paul F. Johnson
<paul@all-the-johnsons.co.uk> 5.8.5-3

Should be "Sat", I think.

After fixing that, I still can't build it:
$ rpmbuild -bi autogen.spec
error: Failed build dependencies:
        libopts-devel is needed by autogen-5.8.5-3.x86_64

# yum install libopts-devel
[...]
No Match for argument: libopts-devel

2.
BuildRequires: guile-devel, libxml2-devel, libopts-devel libtool

Please don't mix commas and spaces for separators.

3.
No %{_smp_mflags} in make invocations and no comment why it should be omitted.

4.
mv %{buildroot}/%{_bindir}/columns %{buildroot}/%{_bindir}/autogen.columns
mv %{buildroot}/%{_bindir}/getdefs %{buildroot}/%{_bindir}/autogen.getdefs

I think the convention is to use $file.$alternative-package, not
$alternative-package.$file. See postfix and sendmail.

5.
%description
AutoGen is a tool designed to simplify the creation and maintenance of
programes that contain large amounts of repetitious text.
^^^^^^^^^

Should be "programs", I think.

6.
%description devel
Development files for autogen

Description doesn't end with a full stop.
Comment 25 Paul F. Johnson 2006-09-03 05:05:16 EDT
Point by point...

1.
libopts-devel is in rawhide extras, no idea why yum didn't pick it up (just
checked via ftp incase it's a repo problem)

2.
trivial fix

3.
Race condition, I'll comment it

4.
I ripped the recipe directly from the sendmail spec, so if I'm wrong, so it is!

5 and 6.
trivial
Comment 26 Dominik 'Rathann' Mierzejewski 2006-09-03 05:16:01 EDT
1. I'm on FC5... can you poke the maintainer of libopts to build it for FC5?

3. I'd much rather you tried to fix it, like I did it for crm114. Should be trivial.

4. I see. It's a matter of preference. It's not wrong or right.
Comment 27 Paul F. Johnson 2006-09-03 17:26:35 EDT
Spec URL: http://www.knox.net.nz/~nodoid/autogen.spec - fixes #24, though
doesn't fix the race condition (I've tried your fix and it would work, but not
consistently here)

libopts should be in FC5 extras from 4th Sept
Comment 28 Paul Howarth 2006-09-06 05:56:37 EDT
(In reply to comment #25)
> I ripped the recipe directly from the sendmail spec, so if I'm wrong, so it is!

Whilst this is a matter of preference, the sendmail package uses the package
name as a suffix rather than a prefix, so citing sendmail as your reference here
is wrong:

$ rpm -ql sendmail | grep sendmail
/etc/mail/sendmail.cf
/etc/mail/sendmail.mc
/etc/pam.d/smtp.sendmail
/etc/rc.d/init.d/sendmail
/etc/sysconfig/sendmail
/usr/bin/mailq.sendmail
/usr/bin/newaliases.sendmail
/usr/bin/rmail.sendmail
/usr/lib/sendmail.sendmail
/usr/sbin/sendmail.sendmail
/usr/share/man/man1/mailq.sendmail.1.gz
/usr/share/man/man1/newaliases.sendmail.1.gz
/usr/share/man/man5/aliases.sendmail.5.gz
/usr/share/man/man8/sendmail.sendmail.8.gz
Comment 29 Dominik 'Rathann' Mierzejewski 2006-09-06 07:40:40 EDT
Ah, I knew I wasn't imagining things. ;) PFJ, please follow the
$file.$alternative-package convention.
Comment 30 Paul F. Johnson 2006-09-08 16:28:55 EDT
http://www.knox.net.nz/~nodoid/autogen.spec 

Fixes #29
Comment 31 Dominik 'Rathann' Mierzejewski 2006-09-10 13:50:17 EDT
Here we go:

1. package meets naming guidelines, but not packaging guidelines.
What is %{_datadir}/autogen/libopts-27.4.2.tar.gz doing there?
You may also shorten the -devel filelist by specifying %{_mandir}/man3/* instead
of enumerating all manpages.
2. specfile is properly named, is cleanly written and uses macros consistently.
3. dist tag is present.
4. build root is correct.
5. license field matches the actual license.
6. license is open source-compatible (GPL). License text included in package.
7. CANNOT check if source files match upstream:
$ spectool -g autogen.spec
--19:12:18--  http://autogen.sourceforge.net/data/autogen-5.8.5.tar.gz
           => `./autogen-5.8.5.tar.gz'
Resolving autogen.sourceforge.net... 66.35.250.209
Connecting to autogen.sourceforge.net|66.35.250.209|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
19:12:19 ERROR 404: Not Found.

NOTE: on the download page, there is also a bzip2'd tarball, why not use that
instead of .gz?

8. latest version is being packaged.
9. BuildRequires are proper.
10. I haven't checked if the package builds in mock yet.
11. rpmlint is silent.
12. final provides and requires are sane:
libguileopts.so.0()(64bit)
libopts.so.25()(64bit)
autogen = 5.8.5-5
=
/bin/sh
/sbin/install-info
/usr/sbin/alternatives
autoconf
ldconfig
libc.so.6()(64bit)
libcrypt.so.1()(64bit)
libdl.so.2()(64bit)
libguile-ltdl.so.1()(64bit)
libguile.so.12()(64bit)
libm.so.6()(64bit)
libopts.so.25()(64bit)
libxml2.so.2()(64bit)
libz.so.1()(64bit)

autogen-devel = 5.8.5-5
=
/bin/sh
autogen = 5.8.5-5
pkgconfig

13. shared libraries are present and ldconfig is called appropriately
14. package is not relocatable.
15. owns the directories it creates.
16. doesn't own any directories it shouldn't.
17. no duplicates in %files
18. file permissions are appropriate.
19. %clean is present.
20. %check is missing and there is a test suite!
21. code, not content.
22. documentation is small, so no -docs subpackage is necessary.
23. %docs are not necessary for the proper functioning of the package.
24. headers are in -devel
25. pkgconfig files are in -devel and Requires: pkgconfig is present.
26. no libtool .la droppings.
27. not a GUI app.
28. not a web app.

Summary: NEEDSWORK
Points 1,7 and 20.
Comment 32 Dominik 'Rathann' Mierzejewski 2006-09-10 14:43:45 EDT
10. package builds in mock/i386 (fc5 fc6).
Comment 33 Paul F. Johnson 2006-09-10 16:11:28 EDT
Spec URL: http://www.knox.net.nz/~nodoid/autogen.spec
SRPM URL: http://www.knox.net.nz/~nodoid/autogen-5.8.5-6.src.rpm

Lots of fixes. Lots of them...
Comment 34 Dominik 'Rathann' Mierzejewski 2006-09-10 16:15:08 EDT
1. package meets naming guidelines and packaging guidelines
7. source matches upstream
23d32772a119dbff4f3ce51a6331e06d  autogen-5.8.5.tar.bz2
20. %check is present:
Executing(%check): /bin/sh -e /home/dominik/build/tmp/rpm-tmp.81014
+ umask 022
+ cd /home/dominik/build/BUILD
+ cd autogen-5.8.5
+ make check
Making check in compat
make[1]: Entering directory `/home/dominik/build/BUILD/autogen-5.8.5/compat'
make[1]: Nothing to be done for `check'.
make[1]: Leaving directory `/home/dominik/build/BUILD/autogen-5.8.5/compat'
Making check in snprintfv
make[1]: Entering directory `/home/dominik/build/BUILD/autogen-5.8.5/snprintfv'
make[1]: Nothing to be done for `check'.
make[1]: Leaving directory `/home/dominik/build/BUILD/autogen-5.8.5/snprintfv'
Making check in autoopts
make[1]: Entering directory `/home/dominik/build/BUILD/autogen-5.8.5/autoopts'
Making check in test
make[2]: Entering directory `/home/dominik/build/BUILD/autogen-5.8.5/autoopts/test'
make  check-TESTS
make[3]: Entering directory `/home/dominik/build/BUILD/autogen-5.8.5/autoopts/test'
PASS: nested.test
PASS: argument.test
PASS: cond.test
PASS: config.test
PASS: enums.test
PASS: equiv.test
PASS: errors.test
PASS: getopt.test
PASS: guile.test
PASS: handler.test
PASS: immediate.test
PASS: keyword.test
PASS: library.test
PASS: main.test
PASS: nls.test
PASS: rc.test
PASS: shell.test
PASS: stdopts.test
PASS: usage.test
PASS: vers.test
===================
All 20 tests passed
===================
make[3]: Leaving directory `/home/dominik/build/BUILD/autogen-5.8.5/autoopts/test'
make[2]: Leaving directory `/home/dominik/build/BUILD/autogen-5.8.5/autoopts/test'
make[2]: Entering directory `/home/dominik/build/BUILD/autogen-5.8.5/autoopts'
make[2]: Nothing to be done for `check-am'.
make[2]: Leaving directory `/home/dominik/build/BUILD/autogen-5.8.5/autoopts'
make[1]: Leaving directory `/home/dominik/build/BUILD/autogen-5.8.5/autoopts'
Making check in agen5
make[1]: Entering directory `/home/dominik/build/BUILD/autogen-5.8.5/agen5'
Making check in test
make[2]: Entering directory `/home/dominik/build/BUILD/autogen-5.8.5/agen5/test'
make  check-TESTS
make[3]: Entering directory `/home/dominik/build/BUILD/autogen-5.8.5/agen5/test'
+ sed -e '/^srcdir=/s@".*"@"."@' -e '/^top_srcdir=/s@".*"@"../.."@'
../../autoopts/test/defs
+ cd .
+ chmod +x alist.test case.test daemon.test define.test defref.test
directives.test dynref.test endmac.test error.test expr.test extract.test
forfrom.test forin.test format.test for.test get.test gperf.test heredef.test
html.test include.test in.test license.test line.test loop.test make.test
match.test opts.test output.test pseudo.test reorder.test shell.test snarf.test
stack.test stress.test string.test strtable.test suffix.test
PASS: define.test
PASS: directives.test
PASS: error.test
PASS: expr.test
PASS: extract.test
PASS: include.test
PASS: opts.test
PASS: output.test
PASS: snarf.test
PASS: suffix.test
PASS: shell.test
PASS: alist.test
PASS: case.test
PASS: defref.test
PASS: dynref.test
PASS: endmac.test
PASS: for.test
PASS: forfrom.test
PASS: forin.test
PASS: format.test
PASS: get.test
gperf functionality does not work without gperf
PASS: gperf.test
PASS: heredef.test
PASS: html.test
PASS: in.test
PASS: license.test
PASS: line.test
PASS: loop.test
PASS: make.test
PASS: match.test
PASS: pseudo.test
PASS: reorder.test
PASS: stack.test
PASS: stress.test
PASS: string.test
PASS: strtable.test
===================
All 36 tests passed
===================
make[3]: Leaving directory `/home/dominik/build/BUILD/autogen-5.8.5/agen5/test'
make[2]: Leaving directory `/home/dominik/build/BUILD/autogen-5.8.5/agen5/test'
make[2]: Entering directory `/home/dominik/build/BUILD/autogen-5.8.5/agen5'
+ for t in '"$@"'
+ echo Re-building stamp-man
Re-building stamp-man
+ case "$t" in
+ test -z /home/dominik/build/BUILD/autogen-5.8.5/agen5/autogen -o -z
/home/dominik/build/BUILD/autogen-5.8.5/columns/columns
+ eopt='-L ../autoopts -Tagman1 -bautogen'
+ echo /home/dominik/build/BUILD/autogen-5.8.5/agen5/autogen -L ../autoopts
-Tagman1 -bautogen ./opts.def
/home/dominik/build/BUILD/autogen-5.8.5/agen5/autogen -L ../autoopts -Tagman1
-bautogen ./opts.def
+ /home/dominik/build/BUILD/autogen-5.8.5/agen5/autogen -L ../autoopts -Tagman1
-bautogen ./opts.def
+ '[' '!' -z '' ']'
make[2]: Leaving directory `/home/dominik/build/BUILD/autogen-5.8.5/agen5'
make[1]: Leaving directory `/home/dominik/build/BUILD/autogen-5.8.5/agen5'
Making check in columns
make[1]: Entering directory `/home/dominik/build/BUILD/autogen-5.8.5/columns'
make  check-am
make[2]: Entering directory `/home/dominik/build/BUILD/autogen-5.8.5/columns'
make[2]: Nothing to be done for `check-am'.
make[2]: Leaving directory `/home/dominik/build/BUILD/autogen-5.8.5/columns'
make[1]: Leaving directory `/home/dominik/build/BUILD/autogen-5.8.5/columns'
Making check in getdefs
make[1]: Entering directory `/home/dominik/build/BUILD/autogen-5.8.5/getdefs'
make  check-recursive
make[2]: Entering directory `/home/dominik/build/BUILD/autogen-5.8.5/getdefs'
Making check in test
make[3]: Entering directory `/home/dominik/build/BUILD/autogen-5.8.5/getdefs/test'
make  check-TESTS
make[4]: Entering directory `/home/dominik/build/BUILD/autogen-5.8.5/getdefs/test'
cd . ; chmod +x *.test
PASS: cfg.test
PASS: index.test
PASS: option.test
PASS: subblock.test
==================
All 4 tests passed
==================
make[4]: Leaving directory `/home/dominik/build/BUILD/autogen-5.8.5/getdefs/test'
cd . ; chmod +x *.test
make[3]: Leaving directory `/home/dominik/build/BUILD/autogen-5.8.5/getdefs/test'
make[3]: Entering directory `/home/dominik/build/BUILD/autogen-5.8.5/getdefs'
make[3]: Nothing to be done for `check-am'.
make[3]: Leaving directory `/home/dominik/build/BUILD/autogen-5.8.5/getdefs'
make[2]: Leaving directory `/home/dominik/build/BUILD/autogen-5.8.5/getdefs'
make[1]: Leaving directory `/home/dominik/build/BUILD/autogen-5.8.5/getdefs'
Making check in xml2ag
make[1]: Entering directory `/home/dominik/build/BUILD/autogen-5.8.5/xml2ag'
make  check-recursive
make[2]: Entering directory `/home/dominik/build/BUILD/autogen-5.8.5/xml2ag'
Making check in test
make[3]: Entering directory `/home/dominik/build/BUILD/autogen-5.8.5/xml2ag/test'
make  check-TESTS
make[4]: Entering directory `/home/dominik/build/BUILD/autogen-5.8.5/xml2ag/test'
cd . ; chmod +x *.test
PASS: convert.test
==================
All 1 tests passed
==================
make[4]: Leaving directory `/home/dominik/build/BUILD/autogen-5.8.5/xml2ag/test'
cd . ; chmod +x *.test
make[3]: Leaving directory `/home/dominik/build/BUILD/autogen-5.8.5/xml2ag/test'
make[3]: Entering directory `/home/dominik/build/BUILD/autogen-5.8.5/xml2ag'
make[3]: Nothing to be done for `check-am'.
make[3]: Leaving directory `/home/dominik/build/BUILD/autogen-5.8.5/xml2ag'
make[2]: Leaving directory `/home/dominik/build/BUILD/autogen-5.8.5/xml2ag'
make[1]: Leaving directory `/home/dominik/build/BUILD/autogen-5.8.5/xml2ag'
Making check in doc
make[1]: Entering directory `/home/dominik/build/BUILD/autogen-5.8.5/doc'
make[1]: Nothing to be done for `check'.
make[1]: Leaving directory `/home/dominik/build/BUILD/autogen-5.8.5/doc'
Making check in pkg
make[1]: Entering directory `/home/dominik/build/BUILD/autogen-5.8.5/pkg'
make[1]: Nothing to be done for `check'.
make[1]: Leaving directory `/home/dominik/build/BUILD/autogen-5.8.5/pkg'
make[1]: Entering directory `/home/dominik/build/BUILD/autogen-5.8.5'
make[1]: Nothing to be done for `check-am'.
make[1]: Leaving directory `/home/dominik/build/BUILD/autogen-5.8.5'
+ exit 0

APPROVED
Comment 35 Dominik 'Rathann' Mierzejewski 2006-09-10 16:45:41 EDT
% rpm -ivh autogen-5.8.5-6.x86_64.rpm
Preparing...                ########################################### [100%]
        file /usr/lib64/libopts.so.25 from install of autogen-5.8.5-6 conflicts
with file from package libopts-27.1-6.fc5

Looks like I haven't checked thoroughly enough...

Note You need to log in before you can comment on or make changes to this bug.